// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node.h"
#include "K2Node.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node::SCW_UK2Node(UK2Node* InK2Node) : SCW_UEdGraphNode(InK2Node), K2Node(InK2Node)
{

}

ISCW_UClassPtr SCW_UK2Node::GetBlueprintClassFromNode() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*K2Node->GetBlueprintClassFromNode());
}

ISCW_UEdGraphPinPtr SCW_UK2Node::GetExecPin() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*K2Node->GetExecPin());
}

ISCW_UEdGraphPinPtr SCW_UK2Node::GetThenPin() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*K2Node->GetThenPin());
}

UK2Node* SCW_UK2Node::ToUK2Node() const
{
	return K2Node;
}